curl --request PATCH \
--url https://api.gonitro.dev/sign/envelopes/{envelopeID}/documents/{documentID} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Updated Document Name.pdf"
}
'import requests
url = "https://api.gonitro.dev/sign/envelopes/{envelopeID}/documents/{documentID}"
payload = { "name": "Updated Document Name.pdf" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Updated Document Name.pdf'})
};
fetch('https://api.gonitro.dev/sign/envelopes/{envelopeID}/documents/{documentID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"ID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"status": "pending"
}{
"type": "https://developers.gonitro.com/docs/build-nitro/errors#400-bad-request",
"title": "Bad Request",
"status": 400,
"detail": "Request validation failed",
"instance": "/sign/envelopes",
"validation_errors": {
"name": "must not be blank"
}
}{
"type": "https://developers.gonitro.com/docs/build-nitro/errors#401-unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "Missing or invalid Authorization header",
"instance": "/sign/envelopes"
}{
"type": "https://developers.gonitro.com/docs/build-nitro/errors#404-not-found",
"title": "Document not Found",
"status": 404,
"detail": "Document with ID 'document-123' not found",
"instance": "/sign/envelopes/envelop-123/documents/doc-123"
}{
"type": "https://developers.gonitro.com/docs/build-nitro/errors#409-conflict",
"title": "Conflict",
"status": 409,
"detail": "Envelope in invalid state",
"instance": "/sign/envelopes/%s:send-for-signing"
}Update Document by ID
The Update Document by ID endpoint allows you to update an existing document’s metadata within an envelope. This endpoint performs a partial update on the document, changing only the provided fields while preserving all other properties. Currently, only the document name can be updated.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
A unique UUIDv4 string that identifies the envelope in the Nitro system.
A unique string that identifies the document in the Nitro system.
Body
The new name for the document
1 - 255"Updated Document Name.pdf"
Response
Document updated successfully
- Pending
- Uploaded
Response for a pending document
Name of the file provided by the user.
1Unique uuid identifier for the document.
1UTC timestamp indicating when the document was created.
Current status of the document.
pending, uploaded, failed, signed, sealed